Package tigase.xmpp.mam

# Class MAM2ExtendedQueryParser<Query extends Query>

java.lang.Object
tigase.xmpp.mam.MAMQueryParser<Query>
tigase.xmpp.mam.MAM2QueryParser<Query>
tigase.xmpp.mam.MAM2ExtendedQueryParser<Query>

All Implemented Interfaces:
  `QueryParser<Query>`

public class MAM2ExtendedQueryParser<Query extends Query> extends MAM2QueryParser<Query>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `MAM2_EXTENDED_XMLNS`

  ### Fields inherited from class tigase.xmpp.mam.MAM2QueryParser

  `MAM2_XMLNS`

  ### Fields inherited from class tigase.xmpp.mam.MAMQueryParser

  `MAM_XMLNS`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `MAM2ExtendedQueryParser()`
  `protected`
  `MAM2ExtendedQueryParser(Stream<String> additionalNamespaces)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Query`
  `parseQuery(Query query, Packet packet)`
  `Element`
  `prepareForm(Element elem, String xmlns, Packet packet)`

  ### Methods inherited from class tigase.xmpp.mam.MAMQueryParser

  `addField, assertIsUUID, getXMLNSs, prepareForm, validateRsm`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface tigase.xmpp.mam.QueryParser

  `prepareForm`

- ## Field Details

  - ### MAM2_EXTENDED_XMLNS

    protected static final String MAM2_EXTENDED_XMLNS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MAM2ExtendedQueryParser

    public MAM2ExtendedQueryParser()

  - ### MAM2ExtendedQueryParser

    protected MAM2ExtendedQueryParser(Stream<String> additionalNamespaces)

- ## Method Details

  - ### parseQuery

    public Query parseQuery(Query query, Packet packet) throws ComponentException
    Specified by:
      `parseQuery` in interface `QueryParser<Query extends Query>`
    Overrides:
      `parseQuery` in class `MAMQueryParser<Query extends Query>`
    Throws:
      `ComponentException`

  - ### prepareForm

    public Element prepareForm(Element elem, String xmlns, Packet packet)
    Specified by:
      `prepareForm` in interface `QueryParser<Query extends Query>`
    Overrides:
      `prepareForm` in class `MAMQueryParser<Query extends Query>`